NUBAN Advanced
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/nuban_advanced/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"account_number": "0123456789",
"bank_code": "044",
"customer_name": "STEPHEN BADMUS"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/nuban_advanced/"
payload = {
"account_number": "0123456789",
"bank_code": "044",
"customer_name": "STEPHEN BADMUS"
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_number: '0123456789',
bank_code: '044',
customer_name: 'STEPHEN BADMUS'
})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/nuban_advanced/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Nigeria
NUBAN Avancé
Récupérez des données de vérification de compte améliorées incluant le nom, la banque et les détails d’identité.
POST
/
api
/
onboarding
/
nigeria_kyc
/
nuban_advanced
/
NUBAN Advanced
L’endpoint NUBAN Avancé fournit une vue plus complète d’un compte bancaire par rapport à la vérification NUBAN standard. En plus de résoudre le nom du compte, il compare le compte par rapport à un
customer_name que vous fournissez et renvoie un score de confiance de correspondance de nom — utile pour confirmer qu’un compte bancaire appartient réellement à la personne ou à l’entreprise qui le revendique.
Endpoint
POST /api/onboarding/nigeria_kyc/nuban_advanced/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
account_number | string | Oui | Le numéro de compte NUBAN à 10 chiffres |
bank_code | string | Oui | Le code bancaire (voir codes bancaires NUBAN) |
customer_name | string | Oui | Le nom à comparer par rapport au nom du titulaire du compte enregistré |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/nuban_advanced/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"account_number": "0768540312", "bank_code": "035", "customer_name": "STEPHEN BADMUS"}'
import requests
response = requests.post(
"https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/nuban_advanced/",
headers={"x-access-token": "YOUR_SECRET_KEY", "Content-Type": "application/json"},
json={"account_number": "0768540312", "bank_code": "035", "customer_name": "STEPHEN BADMUS"},
)
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data.bank_id | integer | Identifiant bancaire interne |
data.account_name | string | Nom du titulaire du compte enregistré |
data.account_number | string | Numéro de compte interrogé |
data.comparism_data.status | boolean | Si customer_name correspond au titulaire du compte enregistré |
data.comparism_data.confidence | number | Score de confiance de correspondance de nom (0–1) |
{
"status": "success",
"data": {
"bank_id": 11,
"account_name": "STEPHEN BADMUS",
"account_number": "0768540312",
"comparism_data": {
"status": true,
"confidence": 1.0
}
},
"message": "Nuban details retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Account Number and Bank Code are required"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
Autorisations
Your Adhere API secret key
Corps
application/json
Réponse
NUBAN advanced data retrieved

